
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Authors: Guillermo Bejarano Pellicer, Jose Enrique Alonso Alfaya, David
% Rodrguez Garca, Manuel Gil Ortega Linares
% OCROSIRE Project, Grant DPI2012-37580-C02-02 MCeI
% Escuela Tcnica Superior de Ingeniera 
% University of Seville
% Date: 25.05.2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
close all
clc

addpath('Benchmark_files');

%% Simulation time and sample time:

sample_time = 1;    % Sample time [s]
Tsim = 1200;          % Simulation time [s]

%% Data file name:

% Proposal: using date, hour, and minute:

now = clock;
string = cell(5);
for i=1:5,
    aux = now(i);
    if(aux<10)
        string{i} = strcat('0',num2str(aux));
    else
        string{i} = num2str(aux);
    end
end
code = ['RSBenchmark_', strcat(string{1},string{2},string{3},'_',string{4},'_',string{5})];
clear now aux string i

%% Simulation execution:

disp('Initializing simulation...');
sim('RSBenchmark');
disp('Simulation finalized');

%% Data logging:

name = strcat(code,'.mat');
save(name);
clear name

%% Data representation:

data_representation
